//============================================================================
// SiUSBXp.h
//
// Header for SiUSBXp.dll, which defines Silicon Labs functions. This header
// was formulated specifically for MATLAB compatibility.
//
// Copyright (C) 2013 - 2013 Quartzdyne, Inc.  All rights reserved.
//
// No part of this source code may be reproduced or transmitted in any form or
// by any means, electronic or mechanical, including photocopying, recording,
// or any information storage and retrieval system, without express written
// permission from Quartzdyne, Inc.  Further, no use of this source code is
// permitted in any form or means without a valid, written license agreement
// with Quartzdyne, Inc.  While every reasonable precaution has been taken in
// the preparation of this source code, Quartzdyne, Inc., assumes no
// responsibility for errors, omissions, or damages from the use of the source
// code contained herein.
//
// NEITHER QUARTZDYNE, INC., ANY MEMBER OF QUARTZDYNE, INC., NOR ANY PERSON OR
// ORGANIZATION ACTING ON BEHALF OF THEM MAKES ANY WARRANTY OR REPRESENTATION
// WHATSOEVER, EXPRESS OR IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY
// OR FITNESS FOR ANY PURPOSE WITH RESPECT TO THE SOURCE CODE OR ASSUMES ANY
// LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE SOURCE CODE OR ANY
// PORTION THEREOF OR WITH RESPECT TO ANY DAMAGES THAT MAY RESULT FROM SUCH
// USE.
//
// Noji Ratzlaff
//
// See qdUSB.log for a complete history of all updates, changes, and revisions
// of this source and other files and policies regarding the qdUSB interface
//
// Updated 03-19-2013
//============================================================================
#ifndef     _SIUSBXP_H_
#define     _SIUSBXP_H_
//----------------------------------------------------------------------------
// Substitutions
//----------------------------------------------------------------------------
#define     DLLImport                   __declspec(dllimport)
//----------------------------------------------------------------------------
// C declaration space
//----------------------------------------------------------------------------
#ifdef      __cplusplus
extern "C"
{
#endif
DLLImport unsigned int SI_GetDriverVersion(
    unsigned int *HighVersion,
    unsigned int *LowVersion);
#ifdef      __cplusplus
}
#endif
#endif      //_SIUSBXP_H_
//============================================================================
// End of SiUSBXp.h
//============================================================================
